import React from "react";

export default ({ className, onClick, disabled = false, children }) => (
  <button 
    className={`btn ${disabled ? "btn--disabled" : ""} ${className || ""}`}
    onClick={onClick}
    disabled={disabled}
  >
    {children}
  </button>
);