import React from "react";
import ms from "pretty-ms";
import useCountdown from "../../hooks/useCountdown";

export default ({ seconds, onTimeout }) => {
  const remaining = useCountdown(seconds, onTimeout);

  return remaining > 0 
    ? <span className="timer">Time: <span className="timer__time">{ms(remaining * 1000)}</span></span> 
    : <span className="timer timer--timeout">Time's up!</span>
}
